function out = afft(in, force_size);

%AFFT - always power of 2 FFT
%
% x = afft(in, force_size, dim);
% always fast fourier transform
% forces the input to be a pwr of 2
% returns the 1/2 of the fft - input data must be real
%

[len b] = size(in)
if len==1 ; in=in(:); len=b; end; % turn a single row vector into a column

if nargin > 1; len = force_size; end;
len = 2^nextpow2(len);

out = fft(in, len);
out = out(1:(len/2+1),:); % only want 1/2 of the FFT
