/**************************************************************************************************
Copyright (c) 2005-2006 Darrell Tam
email: darrell.barrell@gmail.com


***************************************************************************************************/


#include "BlkFxProgram.h"


BlkFxProgram g_blk_fx_presets[] = {
{
	"reset",
	{
		0.0f, 16.0f/255.0f, BlkFxParam::getFFTLenParam(5), 0.35f, 
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
	}
},
{ "Vacuum1", { (float)0, (float)0.0627451, (float)0.282353, (float)0.1245, (float)0, (float)1, (float)0.6002, (float)0.141176, (float)0.655, (float)0, (float)1, (float)0.6016, (float)0.0470588, (float)0.7535, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Vacuum2", { (float)0, (float)0.0627451, (float)0.282353, (float)0.1245, (float)0, (float)1, (float)0.6002, (float)0.141176, (float)0.865, (float)0, (float)1, (float)0, (float)0.109804, (float)0.6205, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "AutoHarm", { (float)0, (float)0.0627451, (float)0.282353, (float)0.499, (float)0.245, (float)1, (float)1, (float)0.454902, (float)0.325, (float)0, (float)1, (float)0.598, (float)0.0470588, (float)0.3005, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "OhNo", { (float)0, (float)0.0627451, (float)0.282353, (float)0.499, (float)0.275, (float)0.5075, (float)0, (float)0.454902, (float)0.092, (float)0, (float)1, (float)0.569, (float)0.141176, (float)0.16, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "ShiftFun", { (float)0, (float)0.0627451, (float)0.282353, (float)0.1245, (float)0, (float)1, (float)0.6002, (float)0.0784314, (float)1, (float)0, (float)1, (float)0.63, (float)0.298039, (float)0.271, (float)0.3075, (float)0.515, (float)1, (float)0.454902, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Chord", { (float)0, (float)0.0627451, (float)0.219608, (float)0.499, (float)0, (float)0, (float)0.418, (float)0.8, (float)0.368, (float)0.335, (float)1, (float)0.626, (float)0.203922, (float)0.5415, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.4985, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Chorus", { (float)0, (float)0.0627451, (float)0.345098, (float)0.499, (float)0.3325, (float)0.465, (float)0.611, (float)0.8, (float)0.395, (float)0.2425, (float)1, (float)0.584, (float)0.172549, (float)0.51, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Sparkle", { (float)0, (float)0.0627451, (float)0.219608, (float)0.0915001, (float)0, (float)1, (float)0, (float)0.109804, (float)0.53, (float)0, (float)1, (float)0.591, (float)0.0470588, (float)0.15, (float)0.195, (float)0.555, (float)0, (float)0.454902, (float)0.64, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Ouch", { (float)0, (float)0.0627451, (float)0.219608, (float)0.3775, (float)0, (float)0.8125, (float)0, (float)0.109804, (float)0.61, (float)0, (float)1, (float)0.591, (float)0.0470588, (float)0.07, (float)0.195, (float)0.555, (float)0, (float)0.454902, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Beeps", { (float)0, (float)0.0627451, (float)0.219608, (float)0.2725, (float)0, (float)0.8125, (float)0, (float)0.109804, (float)0.39, (float)0, (float)1, (float)0.591, (float)0.0470588, (float)0.9, (float)0, (float)0, (float)0, (float)0.454902, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },
{ "SuperSoft", { (float)0, (float)0.0627451, (float)0.407843, (float)0.499, (float)0, (float)1, (float)0.611, (float)0.0784314, (float)1, (float)0.415, (float)0.59, (float)0.606, (float)0.0470588, (float)0.85, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Sweeper1", { (float)0, (float)0.0627451, (float)0.282353, (float)0.499, (float)0.1625, (float)0.505, (float)0.611, (float)0.67451, (float)0.145, (float)0, (float)1, (float)0.896, (float)0.54902, (float)0, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },

};

unsigned g_num_blk_fx_presets = NUM_ELEMENTS(g_blk_fx_presets);
