#ifndef _BLK_FX_GLOB_CTRL_CTRL_H_
#define _BLK_FX_GLOB_CTRL_CTRL_H_
/**************************************************************************************************
Copyright (c) 2005-2006 Darrell Tam
email: darrell.barrell@gmail.com

Pls see GlobalCtrl.cpp for more information

History
	Date       Version    Programmer         Comments
	01/12/05    1.0        Darrell Tam		Created


This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

***************************************************************************************************/

#include <dt/VstGuiSupport.h>

class Gui;
class DtBlkFx;

class GlobalCtrl : public CViewContainer, public CControlListener
// global controls
{
public:

	GlobalCtrl::GlobalCtrl();
	GlobalCtrl::~GlobalCtrl();

	// must call before use
	bool init(Gui* gui, CRect rect);

	// set a parameter
	void setParameter(long index, float v);

public: // override virtual methods from CViewContainer
	virtual void drawRect (CDrawContext *context, CRect& update_rect);
	virtual void draw (CDrawContext *context);
	virtual void update(CDrawContext *context);
	virtual bool isDirty();
	virtual void mouse (CDrawContext *context, CPoint &where);
	virtual long onKeyDown(VstKeyCode& key);
	virtual long onKeyUp (VstKeyCode& key);
	virtual bool onWheel(CDrawContext *context, const CPoint &where, float distance);
	virtual void takeFocus(CDrawContext *context);
	virtual void looseFocus(CDrawContext *context);
	virtual bool removed(CView* parent);

public: //override virtual methods from CControlListener
	virtual void valueChanged (CDrawContext *context, CControl *control);

public: // internal stuff
	DtBlkFx* blkFx();

	// all controls have their text rectangle aligned to the bottom of their rectangle
	CRect textRect(CRect r)
	{
		r.top = std::max(r.bottom-_text_height, r.top);
		return r;
	}
	int _text_height;

	// send the param value to the effect
	void sendParam(int param, float v);

	// true if all sub windows init'd ok
	bool _ok;

	// mouse control
	MouseUpdate _mouse;

	// parent gui
	Ptr<Gui> _gui;

	OwnerInvisiHSlider _mixback;
	OwnerInvisiHSlider _delay;
	OwnerInvisiHSlider _overlap;
	OwnerToggle _blksync;
	VstGuiRef<COptionMenu> _blksz;
	bool _blksz_focus;


};

#endif

