/**************************************************************************************************
Copyright (c) 2005-2006 Darrell Tam
email: darrell.barrell@gmail.com


History
	Date       Version    Programmer         Comments
	16/2/03    1.0        Darrell Tam		Created


This is completely free software

***************************************************************************************************/

// create FFT plans at startup
#include "rfftw_float.h"

//
// build plans
//
rfftw_plan g_plan_fft[N_FFT_BLK_SZ], g_plan_ifft[N_FFT_BLK_SZ];

static void buildFFTPlans()
{
	for(int i = 0; i < N_FFT_BLK_SZ; i++) {
		g_plan_fft[i] = rfftw_create_plan(GET_FFT_BLK_SZ(i), FFTW_REAL_TO_COMPLEX, FFTW_ESTIMATE);
		g_plan_ifft[i] = rfftw_create_plan(GET_FFT_BLK_SZ(i), FFTW_COMPLEX_TO_REAL, FFTW_ESTIMATE);
	}
}
static void destroyFFTPlans()
{
	for(int i = 0; i < N_FFT_BLK_SZ; i++) {
		rfftw_destroy_plan(g_plan_fft[i]);
		rfftw_destroy_plan(g_plan_ifft[i]);
	}
}


// rely on a static structure 
static struct CreateDestroy
{
	CreateDestroy() { buildFFTPlans(); }
	~CreateDestroy() { destroyFFTPlans(); }
}
g_create_destroy;

